%define plasmaver %(echo %version | cut -d. -f1-3)

Name:          discover
Version:       5.19.0
Release:       1mamba
Summary:       KDE Frameworks 5 application installer
Group:         Graphical Desktop/Applications/Administration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{plasmaver}/discover-%{version}.tar.xz
Patch0:        discover-5.16.4-PackageKit-refresh-force.patch
Patch1:        discover-5.16.4-PackageKit-x86_64-multiarch.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libappstream-qt-devel
BuildRequires: libattica5-devel
BuildRequires: libflatpak-devel
%ifnarch arm
BuildRequires: libfwupd-devel
%endif
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libmarkdown-devel
BuildRequires: libostree-devel
BuildRequires: libpackagekitqt5-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libpackagekitqt5-devel >= 1:1.0.1-1mamba
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      kirigami2
Provides:      packagekitgui
Requires:      kuserfeedback
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 application installer.

%package notifier
Summary:       KDE Frameworks 5 discover notifier
Group:         Graphical Desktop/Applications/Administration
Requires:      %{name} == %{version}-%{release}

%description notifier
Notifier for the KDE Frameworks 5 application installer.

%debug_package

%prep
%setup -q
#%patch0 -p1
#%ifarch x86_64
#%patch1 -p1
#%endif
	
## disable update notifier applet by default, in favour of plasma-pk-updates
#sed -i \
#  -e 's|X-KDE-PluginInfo-EnabledByDefault=.*|X-KDE-PluginInfo-EnabledByDefault=false|g' \
#  notifier/plasmoid/metadata.desktop

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_datadir}/qlogging-categories5/discover.categories
%{_bindir}/plasma-discover
%{_bindir}/plasma-discover-update
%dir %{_libdir}/plasma-discover
%{_libdir}/plasma-discover/libDiscover*.so
%dir %{_libdir}/qt5/plugins/discover
%{_libdir}/qt5/plugins/discover/kns-backend.so
%{_libdir}/qt5/plugins/discover/packagekit-backend.so
%{_libdir}/qt5/plugins/discover/flatpak-backend.so
%ifnarch arm
%{_libdir}/qt5/plugins/discover/fwupd-backend.so
%endif
%{_libexecdir}/kf5/discover/runservice
%{_datadir}/applications/org.kde.discover*.desktop
%{_datadir}/metainfo/org.kde.discover*.xml
%dir %{_datadir}/discover
%dir %{_datadir}/discover/pkcategories
%{_datadir}/discover/pkcategories/*.jpg
%{_datadir}/libdiscover/categories/packagekit-backend-categories.xml
%{_datadir}/libdiscover/categories/flatpak-backend-categories.xml
%{_datadir}/icons/hicolor/*/apps/plasmadiscover.png
%{_datadir}/icons/hicolor/scalable/apps/plasmadiscover.svgz
%{_datadir}/icons/hicolor/scalable/apps/flatpak-discover.svg
%{_datadir}/knsrcfiles/discover_ktexteditor_codesnippets_core.knsrc
%{_datadir}/kxmlgui5/plasmadiscover/plasmadiscoverui.rc
%doc COPYING COPYING.LIB

%files notifier -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/org.kde.discover.notifier.desktop
%dir %{_libdir}/qt5/plugins/discover-notifier
%{_libdir}/qt5/plugins/discover-notifier/DiscoverPackageKitNotifier.so
%{_libdir}/qt5/plugins/discover-notifier/FlatpakNotifier.so
%{_libexecdir}/DiscoverNotifier
%{_datadir}/knotifications5/discoverabstractnotifier.notifyrc

%changelog
* Wed Jun 10 2020 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Thu May 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.5-2mamba
- require kuserfeedback

* Wed May 06 2020 Automatic Build System <autodist@mambasoft.it> 5.18.5-1mamba
- automatic version update by autodist

* Mon Apr 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.4.1-1mamba
- update to 5.18.4.1

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 5.18.4-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 5.18.3-1mamba
- automatic version update by autodist

* Wed Feb 26 2020 Automatic Build System <autodist@mambasoft.it> 5.18.2-1mamba
- automatic version update by autodist

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 5.18.1-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 5.17.5-1mamba
- automatic version update by autodist

* Tue Dec 03 2019 Automatic Build System <autodist@mambasoft.it> 5.17.4-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 5.17.3-1mamba
- automatic version update by autodist

* Wed Oct 30 2019 Automatic Build System <autodist@mambasoft.it> 5.17.2-1mamba
- automatic version update by autodist

* Tue Oct 22 2019 Automatic Build System <autodist@mambasoft.it> 5.17.1-1mamba
- automatic version update by autodist

* Thu Oct 17 2019 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.5-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.16.4-3mamba
- disable update notifier by default in favour of plasma-pk-updates; remove previous patches

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.16.4-2mamba
- added patches to refresh force and support multilib on x86_64

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 5.16.4-1mamba
- automatic version update by autodist

* Sat Jul 27 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.16.3-2mamba
- rebuild with libmarkdown, flatpak, fwupd

* Wed Jul 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.3-1mamba
- automatic version update by autodist

* Tue Jun 25 2019 Automatic Build System <autodist@mambasoft.it> 5.16.2-1mamba
- automatic version update by autodist

* Wed Jun 19 2019 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Sun Jun 16 2019 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Tue May 07 2019 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.3-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Wed Jan 09 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Tue Nov 27 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Tue Nov 06 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Tue Oct 23 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Tue Jul 10 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Tue Jun 26 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Thu Jun 14 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.3-2mamba
- rebuilt by autoport with build requirements: libpackagekitqt5-devel>=1.0.1-1mamba

* Tue Mar 06 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Tue Nov 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Mon Oct 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.0-2mamba
- bump release to to backporting 5.10.5 changes

* Mon Oct 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.0-1mamba
- update to 5.11.0

* Mon Oct 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-4mamba
- don't obsolete apper; provide packagekitgui

* Fri Oct 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-3mamba
- rebuilt wwith packagekit-Qt5 support

* Sat Sep 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-2mamba
- require kirigami2

* Sat Sep 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-1mamba
- package created using the webbuild interface
